Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3555 - Cannot install new X fonts
Summary: Cannot install new X fonts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-18 01:34 UTC by stumpy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 19:32:32 UTC


Attachments (Terms of Use)

Description stumpy 1999-06-18 01:34:28 UTC
I copy the font sabvga.pcf (from http://etheme.tsx.org) to
/usr/X11R6/include/X11/fonts/misc  I run "mkfontdir". I run
"xset fp rehash". I run "xterm -fn sabvga" it can't find the
font.

Whats the problem? the
/usr/X11R6/include/X11/fonts/misc/fonts.dir has sabvga in
it.

Comment 1 Jeff Johnson 1999-06-18 10:27:59 UTC
Did you try restarting xfs? Try
	/etc/rc.d/init.d/xfs stop
	/etc/rc.d/init.d/xfs start

Comment 2 Michael K. Johnson 1999-07-13 19:32:59 UTC
Closing bug report on assumption that suggested fix worked.
Reopen with more information if this is not the case.

Comment 3 Rutger Noot 1999-09-29 14:38:59 UTC
I had the same problem and the suggested solution worked more or less
but I think some improvement is possible. Originally, I had not
noticed that running mkfontdir (as root) creates the fonts.dir file
with permissions determined by the umask of root, perm=600 in my case.
Restarting xfs seems to work initially , but xfs dies silently,
crashing the X server. The X server will respawn and die about 10
times, then init gives up for 5 minutes.
The upshot of this remark might be:
1) Shouldn't mkfontdir create the file font.dir to be readable by xfs?
2) xfs should write a useful mesage to the syslog if it can't read
a      file.
3) xfs should not die in this case, but simply discard the
directory      containig the offending file.


Note You need to log in before you can comment on or make changes to this bug.